TableAnyMap Class Referenceabstract
Flext support classes

`#include <flmap.h>`

Inheritance diagram for TableAnyMap:

## Classes

struct | Data
class | iterator

## Public Member Functions

virtual TableAnyMap * | _newmap (TableAnyMap *parent)=0
virtual void | _delmap (TableAnyMap *map)=0
void * | insert (int tsize, size_t k, void *t)
void * | find (int tsize, size_t k) const
void * | remove (int tsize, size_t k)
virtual void | clear ()
void | _init (size_t k, void *t)
void * | _toleft (int tsize, size_t k, void *t)
void * | _toright (int tsize, size_t k, void *t)
void * | _toleft (int tsize, Data &v)
void * | _toright (int tsize, Data &v)
void * | _set (int tsize, size_t k, void *t)
void * | _find (int tsize, size_t k) const
void * | _remove (int tsize, size_t k)
unsigned int | _tryix (size_t k) const
void | _eraseempty (TableAnyMap *&b)
void | _getsmall (Data &dt)
void | _getbig (Data &dt)

## Public Attributes

Data * | data
TableAnyMap * | parent
TableAnyMap * | left
TableAnyMap * | right
int | n

## Protected Member Functions

| TableAnyMap (TableAnyMap *p, Data *dt)
virtual | ~TableAnyMap ()

## Private Member Functions

| TableAnyMap (const TableAnyMap &)
TableAnyMap & | operator= (const TableAnyMap &)

## Constructor & Destructor Documentation

## TableAnyMap() [1/2]

TableAnyMap::TableAnyMap | ( | TableAnyMap * | p,
|  | Data * | dt
| ) |  |

inline protected

## ~TableAnyMap()

TableAnyMap::~TableAnyMap | ( |  | ) |

protected virtual

## TableAnyMap() [2/2]

TableAnyMap::TableAnyMap | ( | const TableAnyMap & |  | ) |

inline explicit private

## Member Function Documentation

## _delmap()

virtual void TableAnyMap::_delmap | ( | TableAnyMap * | map | ) |

pure virtual

Implemented in TablePtrMap< K, T, N >, and TablePtrMap< const t_symbol *, AttrData *, 8 >.

## _eraseempty()

void TableAnyMap::_eraseempty | ( | TableAnyMap *& | b | ) |

inline

## _find()

void * TableAnyMap::_find | ( | int | tsize,
|  | size_t | k
| ) |  | const

## _getbig()

void TableAnyMap::_getbig | ( | Data & | dt | ) |

## _getsmall()

void TableAnyMap::_getsmall | ( | Data & | dt | ) |

## _init()

void TableAnyMap::_init | ( | size_t | k,
|  | void * | t
| ) |  |

inline

## _newmap()

virtual TableAnyMap* TableAnyMap::_newmap | ( | TableAnyMap * | parent | ) |

pure virtual

Implemented in TablePtrMap< K, T, N >, and TablePtrMap< const t_symbol *, AttrData *, 8 >.

## _remove()

void * TableAnyMap::_remove | ( | int | tsize,
|  | size_t | k
| ) |  |

## _set()

void * TableAnyMap::_set | ( | int | tsize,
|  | size_t | k,
|  | void * | t
| ) |  |

## _toleft() [1/2]

void* TableAnyMap::_toleft | ( | int | tsize,
|  | size_t | k,
|  | void * | t
| ) |  |

inline

## _toleft() [2/2]

void* TableAnyMap::_toleft | ( | int | tsize,
|  | Data & | v
| ) |  |

inline

## _toright() [1/2]

void* TableAnyMap::_toright | ( | int | tsize,
|  | size_t | k,
|  | void * | t
| ) |  |

inline

## _toright() [2/2]

void* TableAnyMap::_toright | ( | int | tsize,
|  | Data & | v
| ) |  |

inline

## _tryix()

unsigned int TableAnyMap::_tryix | ( | size_t | k | ) | const

inline

return index of data item with key <= k

Note
  index can point past the last item!

## clear()

void TableAnyMap::clear | ( |  | ) |

virtual

Reimplemented in flext_base::AttrDataCont, flext_base::ItemSet, TablePtrMap< K, T, N >, and TablePtrMap< const t_symbol *, AttrData *, 8 >.

## find()

void* TableAnyMap::find | ( | int | tsize,
|  | size_t | k
| ) |  | const

inline

## insert()

void* TableAnyMap::insert | ( | int | tsize,
|  | size_t | k,
|  | void * | t
| ) |  |

inline

## operator=()

TableAnyMap& TableAnyMap::operator= | ( | const TableAnyMap & |  | ) |

inline private

## remove()

void* TableAnyMap::remove | ( | int | tsize,
|  | size_t | k
| ) |  |

inline

## Member Data Documentation

## data

Data* TableAnyMap::data

## left

TableAnyMap * TableAnyMap::left

## n

int TableAnyMap::n

## parent

TableAnyMap* TableAnyMap::parent

## right

TableAnyMap * TableAnyMap::right

The documentation for this class was generated from the following files:

- /build/pd-flext-jyLjBY/pd-flext-0.6.0+git20161101.1.01318a94/source/flmap.h
- /build/pd-flext-jyLjBY/pd-flext-0.6.0+git20161101.1.01318a94/source/flmap.cpp